Hooks:Add("LocalizationManagerPostInit", "Masksafes", function(loc)
	LocalizationManager:add_localized_strings({
["bm_txt_wpn_binary"] = "01100010 01101001 01101110 01100001 01110010 01111001 00001101 00001010",
["bm_txt_wpn_deadbirds"] = "Tweeter",
["bm_txt_wpn_faberge"] = "Faberge",
["bm_txt_wpn_fire"] = "Pixel Fire",
["bm_txt_wpn_fleur"] = "Fleur",
["bm_txt_wpn_galaxy"] = "Final Frontier",
["bm_txt_wpn_hypno"] = "Hypno",
["bm_txt_wpn_khkloma"] = "Khkloma",
["bm_txt_wpn_ornaments"] = "Centerpiece",
["bm_txt_wpn_pattern_type"] = "Type",
["bm_txt_wpn_Stars"] = "Super Star",
["bm_txt_wpn_wheat"] = "Farming",
["bm_txt_wpn_acryl"] = "Acrylic",
["bm_txt_wpn_checker"] = "Checker",
["bm_txt_Hex"] = "Hex",
["bm_txt_Lines"] = "Lines",
["bm_txt_Stains"] = "Stains",
["bm_txt_Stripe"] = "Stripe",
["bm_txt_MountainofGold"] = "Mountain of Gold",

})
end)

Hooks:Add("NetworkReceivedData", "NetworkReceivedData_Masksafes", function(peer_id, id, data)
	if id == "MasksafesModPeer" and data == "V1" then
		managers.network:session():peer(peer_id):set_has_Mask_safes(true)
		LuaNetworking:SendToPeers( "MasksafesModPeerReply", "V1" )
		managers.network:session():check_send_outfit(nil, true)
		log("has Mask safes")
	end
	if id == "MasksafesModPeerReply" and data == "V1" then
		managers.network:session():peer(peer_id):set_has_Mask_safes(true)
		log("has Mask Safes")
	end
	if string.match(id, "%w+") == "MasksafesSyncOutfit" then
		--managers.network._handlers.connection:sync_outfit(data, tonumber(string.match(id, "%d+")), "", managers.network:session():peer(peer_id))
		local peer = managers.network:session():peer(peer_id)
		peer:set_outfit_string(data, tonumber(string.match(id, "%d+")), "")
		if managers.network:session():is_host() then
			managers.network:session():chk_request_peer_outfit_load_status()
		end
		local local_peer = managers.network:session() and managers.network:session():local_peer()
		local in_lobby = local_peer and local_peer:in_lobby() and game_state_machine:current_state_name() ~= "ingame_lobby_menu" and not setup:is_unloading()
		if managers.menu_scene and in_lobby then
			managers.menu_scene:set_lobby_character_out_fit(peer:id(), data, peer:rank())
		end
		local kit_menu = managers.menu:get_menu("kit_menu")
		if kit_menu then
			kit_menu.renderer:set_slot_outfit(peer:id(), peer:character(), data)
		end
		--log(string.match(id, "%w+") .. "|" .. string.match(id, "%d+") .. "|" .. data)
	end
end)


Hooks:Add("NetworkGameOnGameJoined", "MasksafesOnGameJoined", function(local_peer, id)
	LuaNetworking:SendToPeers( "MasksafesModPeer", "V1" )
	--MenuCallbackHandler:_update_outfit_information()
	log("send Mask safes OnGameJoined")
end)
Hooks:Add("NetworkManagerOnPeerAdded", "MasksafesOnPeerAdded", function(peer, id)
	LuaNetworking:SendToPeers( "MasksafesModPeer", "V1" )
	managers.network:session():check_send_outfit()
	log("send Mask safes OnPeerAdded")
end)
Hooks:Add("BaseNetworkSessionOnLoadComplete", "MasksafesOnLoadComplete", function(peer, id)
	LuaNetworking:SendToPeers( "MasksafesModPeer", "V1" )
	log("send Mask safes OnPeerAdded")
end)
Hooks:Add("BaseNetworkSessionOnPeerEnteredLobby", "peer_entered_lobby_test", function(peer, id)
	LuaNetworking:SendToPeers( "MasksafesModPeer", "V1" )
	managers.network:session():check_send_outfit()
	log("send Mask safes OnPeerEnteredLobby")
end)


if MenuManager then
	Hooks:PostHook(MenuManager, "open_node", "Masksafes_open_node", function(ply)
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_binary") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_binary", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_deadbirds") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_deadbirds", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_faberge") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_faberge", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_fire") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_fire", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_fleur") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_fleur", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_galaxy") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_galaxy", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_hypno") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_hypno", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_khkloma") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_khkloma", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_ornaments") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_ornaments", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_pattern_type") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_pattern_type", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_Stars") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_Stars", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_wheat") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_wheat", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_acryl") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_acryl", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "wpn_checker") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "wpn_checker", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "Hex") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "Hex", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "Lines") then
			managers.blackmarket:add_to_inventory("pd2_clan", "textures", "Lines", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "Stains") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "Stains", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "Stripe") then
			 managers.blackmarket:add_to_inventory("pd2_clan", "textures", "Stripe", true)
			--log("not own")
		end
		if not managers.blackmarket:has_inventory_item("pd2_clan", "textures", "MountainofGold") then
			managers.blackmarket:add_to_inventory("pd2_clan", "textures", "MountainofGold", true)
			--log("not own")
		end
	end)

end

_G.Masksafes_peer_fixes = {
	["wpn_binary"] = "no_color_full_material",
	["wpn_deadbirds"] = "no_color_full_material",
	["wpn_faberge"] = "no_color_full_material",
	["wpn_fire"] = "no_color_full_material",
	["wpn_fleur"] = "no_color_full_material",
	["wpn_galaxy"] = "no_color_full_material",
	["wpn_hypno"] = "no_color_full_material",
	["wpn_khkloma"] = "no_color_full_material",
	["wpn_ornaments"] = "no_color_full_material",
	["wpn_pattern_type"] = "no_color_full_material",
	["wpn_Stars"] = "no_color_full_material",
	["wpn_wheat"] = "no_color_full_material",
	["wpn_checker"] = "no_color_full_material",
	["wpn_acryl"] = "no_color_full_material",
	["Hex"] = "no_color_full_material",
	["Lines"] = "no_color_full_material",
	["Stains"] = "no_color_full_material",
	["Stripe"] = "no_color_full_material",
	["MountainofGold"] = "no_color_full_material"

}

if not tweak_data then return end

tweak_data.blackmarket.textures.wpn_binary = {}
tweak_data.blackmarket.textures.wpn_binary.name_id = "bm_txt_wpn_binary"
tweak_data.blackmarket.textures.wpn_binary.pcs = {}
tweak_data.blackmarket.textures.wpn_binary.texture = "units/payday2_cash/safes/cf15/pattern/binary_pattern_df"
tweak_data.blackmarket.textures.wpn_binary.value = 0 
tweak_data.blackmarket.textures.wpn_binary.texture_bundle_folder = "units/payday2_cash/safes/cf15"

tweak_data.blackmarket.textures.wpn_deadbirds = {}
tweak_data.blackmarket.textures.wpn_deadbirds.name_id = "bm_txt_wpn_deadbirds"
tweak_data.blackmarket.textures.wpn_deadbirds.pcs = {}
tweak_data.blackmarket.textures.wpn_deadbirds.texture = "units/payday2_cash/safes/cf15/pattern/pattern_dead_birds_df"
tweak_data.blackmarket.textures.wpn_deadbirds.value = 0
tweak_data.blackmarket.textures.wpn_deadbirds.texture_bundle_folder = "units/payday2_cash/safes/cf15"

tweak_data.blackmarket.textures.wpn_faberge = {}
tweak_data.blackmarket.textures.wpn_faberge.name_id = "bm_txt_wpn_faberge"
tweak_data.blackmarket.textures.wpn_faberge.pcs = {}
tweak_data.blackmarket.textures.wpn_faberge.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_faberge_df"
tweak_data.blackmarket.textures.wpn_faberge.value = 0 
tweak_data.blackmarket.textures.wpn_faberge.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_fire = {}
tweak_data.blackmarket.textures.wpn_fire.name_id = "bm_txt_wpn_fire"
tweak_data.blackmarket.textures.wpn_fire.pcs = {}
tweak_data.blackmarket.textures.wpn_fire.texture = "units/payday2_cash/safes/cf15/pattern/fire_pattern_df" 
tweak_data.blackmarket.textures.wpn_fire.value = 0 
tweak_data.blackmarket.textures.wpn_fire.texture_bundle_folder = "units/payday2_cash/safes/cf15"

tweak_data.blackmarket.textures.wpn_fleur = {}
tweak_data.blackmarket.textures.wpn_fleur.name_id = "bm_txt_wpn_fleur"
tweak_data.blackmarket.textures.wpn_fleur.pcs = {}
tweak_data.blackmarket.textures.wpn_fleur.texture = "units/payday2_cash/safes/red/pattern/pattern_fleur_de_lis_df" 
tweak_data.blackmarket.textures.wpn_fleur.value = 0 
tweak_data.blackmarket.textures.wpn_fleur.texture_bundle_folder = "units/payday2_cash/safes/red"

tweak_data.blackmarket.textures.wpn_galaxy = {}
tweak_data.blackmarket.textures.wpn_galaxy.name_id = "bm_txt_wpn_galaxy"
tweak_data.blackmarket.textures.wpn_galaxy.pcs = {}
tweak_data.blackmarket.textures.wpn_galaxy.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_galaxy_df" 
tweak_data.blackmarket.textures.wpn_galaxy.value = 0 
tweak_data.blackmarket.textures.wpn_galaxy.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_hypno = {}
tweak_data.blackmarket.textures.wpn_hypno.name_id = "bm_txt_wpn_hypno"
tweak_data.blackmarket.textures.wpn_hypno.pcs = {}
tweak_data.blackmarket.textures.wpn_hypno.texture = "units/payday2_cash/safes/shared/pattern/pattern_hypnotic_001_df" 
tweak_data.blackmarket.textures.wpn_hypno.value = 0 
tweak_data.blackmarket.textures.wpn_hypno.texture_bundle_folder = "units/payday2_cash/safes/dinner"

tweak_data.blackmarket.textures.wpn_khkloma = {}
tweak_data.blackmarket.textures.wpn_khkloma.name_id = "bm_txt_wpn_khkloma"
tweak_data.blackmarket.textures.wpn_khkloma.pcs = {}
tweak_data.blackmarket.textures.wpn_khkloma.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_khokloma_df" 
tweak_data.blackmarket.textures.wpn_khkloma.value = 0 
tweak_data.blackmarket.textures.wpn_khkloma.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_ornaments = {}
tweak_data.blackmarket.textures.wpn_ornaments.name_id = "bm_txt_wpn_ornaments"
tweak_data.blackmarket.textures.wpn_ornaments.pcs = {}
tweak_data.blackmarket.textures.wpn_ornaments.texture = "units/payday2_cash/safes/red/pattern/pattern_ornaments_df"
tweak_data.blackmarket.textures.wpn_ornaments.value = 0 
tweak_data.blackmarket.textures.wpn_ornaments.texture_bundle_folder = "units/payday2_cash/safes/red"

tweak_data.blackmarket.textures.wpn_pattern_type = {}
tweak_data.blackmarket.textures.wpn_pattern_type.name_id = "bm_txt_wpn_pattern_type"
tweak_data.blackmarket.textures.wpn_pattern_type.pcs = {}
tweak_data.blackmarket.textures.wpn_pattern_type.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_type_df" 
tweak_data.blackmarket.textures.wpn_pattern_type.value = 0 
tweak_data.blackmarket.textures.wpn_pattern_type.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_Stars = {}
tweak_data.blackmarket.textures.wpn_Stars.name_id = "bm_txt_wpn_Stars"
tweak_data.blackmarket.textures.wpn_Stars.pcs = {}
tweak_data.blackmarket.textures.wpn_Stars.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_stars_df"
tweak_data.blackmarket.textures.wpn_Stars.value = 0
tweak_data.blackmarket.textures.wpn_Stars.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_wheat = {}
tweak_data.blackmarket.textures.wpn_wheat.name_id = "bm_txt_wpn_wheat"
tweak_data.blackmarket.textures.wpn_wheat.pcs = {}
tweak_data.blackmarket.textures.wpn_wheat.texture = "units/payday2_cash/safes/sputnik/pattern/pattern_wheat_df"
tweak_data.blackmarket.textures.wpn_wheat.value = 0
tweak_data.blackmarket.textures.wpn_wheat.texture_bundle_folder = "units/payday2_cash/safes/sputnik"

tweak_data.blackmarket.textures.wpn_checker = {}
tweak_data.blackmarket.textures.wpn_checker.name_id = "bm_txt_wpn_checker"
tweak_data.blackmarket.textures.wpn_checker.pcs = {}
tweak_data.blackmarket.textures.wpn_checker.texture = "units/payday2_cash/safes/shared/pattern/pattern_checker_001_df" 
tweak_data.blackmarket.textures.wpn_checker.value = 0 
tweak_data.blackmarket.textures.wpn_checker.texture_bundle_folder = "units/payday2_cash/safes/dinner"

tweak_data.blackmarket.textures.wpn_acryl = {}
tweak_data.blackmarket.textures.wpn_acryl.name_id = "bm_txt_wpn_acryl"
tweak_data.blackmarket.textures.wpn_acryl.pcs = {}
tweak_data.blackmarket.textures.wpn_acryl.texture = "units/payday2_cash/safes/shared/pattern/pattern_acryl_001_df" 
tweak_data.blackmarket.textures.wpn_acryl.value = 0 
tweak_data.blackmarket.textures.wpn_acryl.texture_bundle_folder = "units/payday2_cash/safes/dinner"

tweak_data.blackmarket.textures.Hex = {} 
tweak_data.blackmarket.textures.Hex.name_id = "bm_txt_Hex"
tweak_data.blackmarket.textures.Hex.pcs = {} 
tweak_data.blackmarket.textures.Hex.texture = "units/payday2_cash/safes/shared/pattern/pattern_hex_001_df" 
tweak_data.blackmarket.textures.Hex.value = 0 
tweak_data.blackmarket.textures.Hex.texture_bundle_folder = "units/payday2_cash/safes/dinner"

tweak_data.blackmarket.textures.Lines = {}
tweak_data.blackmarket.textures.Lines.name_id = "bm_txt_Lines" 
tweak_data.blackmarket.textures.Lines.pcs = {}
tweak_data.blackmarket.textures.Lines.texture = "units/payday2_cash/safes/shared/pattern/pattern_lines_df"
tweak_data.blackmarket.textures.Lines.value = 0
tweak_data.blackmarket.textures.Lines.texture_bundle_folder = "units/payday2_cash/safes/red"

tweak_data.blackmarket.textures.Stains = {}
tweak_data.blackmarket.textures.Stains.name_id = "bm_txt_Stains" 
tweak_data.blackmarket.textures.Stains.pcs = {}
tweak_data.blackmarket.textures.Stains.texture = "units/payday2_cash/safes/shared/pattern/pattern_stains_df" 
tweak_data.blackmarket.textures.Stains.value = 0
tweak_data.blackmarket.textures.Stains.texture_bundle_folder = "units/payday2_cash/safes/red"

tweak_data.blackmarket.textures.Stripe = {}
tweak_data.blackmarket.textures.Stripe.name_id = "bm_txt_Stripe"
tweak_data.blackmarket.textures.Stripe.pcs = {} 
tweak_data.blackmarket.textures.Stripe.texture = "units/payday2_cash/safes/shared/pattern/pattern_stripe_df" 
tweak_data.blackmarket.textures.Stripe.value = 0 
tweak_data.blackmarket.textures.Stripe.texture_bundle_folder = "units/payday2_cash/safes/red"

tweak_data.blackmarket.textures.MountainofGold = {}
tweak_data.blackmarket.textures.MountainofGold.name_id = "bm_txt_MountainofGold"
tweak_data.blackmarket.textures.MountainofGold.pcs = {}
tweak_data.blackmarket.textures.MountainofGold.texture = "units/payday2_cash/safes/cf15/pattern/mountainofgold_pattern_df"
tweak_data.blackmarket.textures.MountainofGold.value = 0 
tweak_data.blackmarket.textures.MountainofGold.texture_bundle_folder = "units/payday2_cash/safes/cf15"